[![logo](https://www.hongsnet.net/images/logo.gif)](https://www.hongsnet.net)

# Ansible을 이용한 보안취약점 조치

> 시스템 로그인 후 계속 유지하는 취약점을 방지하기 위해 Timeout 설정을 적용한다.


## Inventory 설정

```bash
# cat hosts
[ALL_HOSTS]
172.16.0.100 managed_ip=172.16.0.100 des="2020-12-03"

[ALL_HOSTS_OK]
```

대상 호스트는 172.16.0.100이며, 추가는 2020-12-03에 수행한다. 참고적으로 **ALL_HOSTS_OK** 호스트 그룹은 작업이 완료된 호스트의 history를 위한 그룹이다.


## Host Variables 설정

```bash
# cat host_vars/172.16.0.100
ansible_ssh_host: 172.16.0.100
ansible_ssh_port: SSH_포트번호
ansible_ssh_user: 사용자 아이디
ansible_ssh_pass: "사용자 패스워드"
ansible_become: yes
ansible_become_method: su
ansible_become_user: root
ansible_become_pass: "!root_패스워드"
ansible_python_interpreter: python2.7
```

## Playbook 설정

```python
---
- name: OS Secure Fix
  hosts: ALL_HOSTS
  tasks:
    - name: Login TimeOut Setting 600 seconds
      lineinfile: dest=/etc/profile regexp="^TMOUT" line="TMOUT=600" state=present
```

`보안취약점 조치`에 대한 Playbook 분석

* [ ] lineinfile 모듈을 사용하여, TMOUT 설정이 없다면, TMOUT=600 설정을 추가한다.


## playbook 실행

```bash
# ansible-playbook -i hosts profile_tmout.yml
```
